Debian Bug report logs - #562234
Cache file location in violation of FHS

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: martin f krafft <madduck@debian.org>

Date: Thu, 24 Dec 2009 02:54:08 UTC

Severity: serious

Tags: squeeze-ignore

Found in versions lvm2/2.02.06-4, lvm2/2.02.54-1

Fixed in version lvm2/2.02.88-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Thu, 24 Dec 2009 02:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 24 Dec 2009 02:54:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Cache file location in violation of FHS
Date: Thu, 24 Dec 2009 15:52:36 +1300
[Message part 1 (text/plain, inline)]
Package: lvm2
Version: 2.02.54-1
Severity: serious

/etc/lvm/cache should live in /var, not /etc, since it is
automatically maintained, and not a configuration file anyhow. If it
cannot live in /var because that might not be mounted, use
/lib/init/rw and then later move it.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lvm2 depends on:
ii  dmsetup                      2:1.02.39-1 The Linux Kernel Device Mapper use
ii  libc6                        2.10.2-2    GNU C Library: Shared libraries
ii  libdevmapper1.02.1           2:1.02.39-1 The Linux Kernel Device Mapper use
ii  libreadline5                 5.2-7       GNU readline and history libraries
ii  lsb-base                     3.2-23      Linux Standard Base 3.2 init scrip

lvm2 recommends no packages.

lvm2 suggests no packages.

-- debconf-show failed


-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug Marked as found in versions lvm2/2.02.06-4. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 24 Dec 2009 07:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Wed, 30 Dec 2009 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 30 Dec 2009 19:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 562234@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: martin f krafft <madduck@debian.org>, 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Wed, 30 Dec 2009 20:01:13 +0100
[Message part 1 (text/plain, inline)]
Dear Debian hackers,


Am Donnerstag, den 24.12.2009, 15:52 +1300 schrieb martin f krafft:
> /etc/lvm/cache should live in /var, not /etc, since it is
> automatically maintained, and not a configuration file anyhow. If it
> cannot live in /var because that might not be mounted, use
> /lib/init/rw and then later move it.

Next to `/etc/lvm/archive/` and `/etc/lvm/backup/` this was also
reported in #372207 [1] and Alasdair wrote: »Cache is required for speed
- tools can be very slow without it.«.


Thanks,

Paul


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=372207
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=372207#15
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Wed, 30 Dec 2009 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 30 Dec 2009 20:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 562234@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Wed, 30 Dec 2009 19:41:04 +0000
If Debian wants to have a go at moving these files about, there are
settings available in lvm.conf to do that.

But it's an unnecessary overhead, not trivial to get the scripts right,
introduces new failure modes (and recovery paths) and you might do
better discussing revising the FHS to cater better for programs required
during startup.  At Red Hat we recently moved some multipath-tools data
from /var to /etc because it was causing us too many support problems.

Arguably the backup and archive files would be better stored in a
writeable non-lvm recovery-type partition (some folk may be happy with a
writeable /boot partition - I consider /boot should be read-only), as
you may want access to them in order to recover your root filesystem if
it's using LVM.

Last time I looked at the FHS it had not considered these "real world"
sorts of requirements so it seemed quite reasonable to me to override it
until someone improves it.

Alasdair





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Thu, 24 Jun 2010 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 24 Jun 2010 13:15:05 GMT) Full text and rfc822 format available.

Message #22 received at 562234@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>
To: 562234@bugs.debian.org
Subject: Re: Cache file location in violation of FHS
Date: Thu, 24 Jun 2010 15:13:14 +0200
Hi.

I'm not sure whether it's a good idea to make such exceptions to FHS.
I mean that would dilute it more and more.

Alasdair, could you please tell us which concrete problems you've had?

btw: /boot is not always on non-LVM or really available. I for example  
have my /boot on an USB-stick... (fully encrypted disk including / )

I think it's also difficult to automatically put the backups on a  
non-LVM partition (there might be none).
So I guess it's the users responsibility to make regular backups, but  
perhaps we could put a note to do so in README.Debian


So I support Martin's request that this (the cache) should move, and I  
also would like to see the backups/archives moved.
Guess /var/backups/ is the right place for the former.
What are the archives exactly used for?

If we change the location, would we also have to patch lvmdump?


Cheers,
Chris.

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.





Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 22:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Wed, 08 Dec 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 15:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 562234@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 562234@bugs.debian.org
Subject: Re: Cache file location in violation of FHS
Date: Wed, 08 Dec 2010 16:31:29 +0100
Hi,

the current cache file location (/etc/lvm) makes problems with a
read-only / so something has to be done.

On the other hand configuring it to /var/backups/ seems to work just
fine all around. No problems so far even during boot (when /var isn't
there yet).

Since grub2 can now too boot directly from lvm and any software raid I
think that /etc/lvm is far less likely to be on a non LVM parttion. Same
can be said for /boot. So I see little to no drawback to using
/var/backups, which is most likely on LVM.


So I would suggest that the location for new installs should be
/var/backups/lvm since that produces less problems overall. I'm a little
conflicted what to do with exinsting installs, esspecially those where
/etc is not on LVM. It would be greate to then leave the backup there
but that would require some detection code and a dynamic lvm.conf
(ucf?). Do you want to add some detection for a non LVM volume (/etc/lvm
or /boot/lvm)?

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Wed, 08 Dec 2010 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 15:51:06 GMT) Full text and rfc822 format available.

Message #34 received at 562234@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Wed, 8 Dec 2010 15:49:43 +0000
/etc/lvm has several functions.

Read-only config - leave it where it is.

cache_dir - in general can be cleared on each boot so a tmpfs location
would be fine or /var/cache or something

Metadata backups 
ideally would be stored persistently outside lvm but otherwise 
/var/backups sounds OK

(The locations of the *writeable* parts are configurable from
inside the *readable* part.)

On Wed, Dec 08, 2010 at 04:31:29PM +0100, Goswin von Brederlow wrote:
> Since grub2 can now too boot directly from lvm 

*Not* in general.  It's unsafe for general use but works under certain
undocumented configurations.

Alasdair





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Thu, 09 Dec 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 09 Dec 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 562234@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Alasdair G Kergon <agk@redhat.com>
Cc: 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Thu, 09 Dec 2010 08:46:50 +0100
Alasdair G Kergon <agk@redhat.com> writes:

> /etc/lvm has several functions.
>
> Read-only config - leave it where it is.

Obviously. I was only meaning the writable parts.

> cache_dir - in general can be cleared on each boot so a tmpfs location
> would be fine or /var/cache or something

Maybe /lib/init/rw/ then for it to work early during boot. Works without
errors when pointed to /var/backups/lvm/ but it might have speed
penalties. Not sure.

> Metadata backups 
> ideally would be stored persistently outside lvm but otherwise 
> /var/backups sounds OK
>
> (The locations of the *writeable* parts are configurable from
> inside the *readable* part.)
>
> On Wed, Dec 08, 2010 at 04:31:29PM +0100, Goswin von Brederlow wrote:
>> Since grub2 can now too boot directly from lvm 
>
> *Not* in general.  It's unsafe for general use but works under certain
> undocumented configurations.
>
> Alasdair

D-I lets you install it that way without warnings and doesn't need
expert mode to allow it. The unsafeness seems to be a secret.

In what case does it break? When you are in the middle of a pvmove? When
the LV is split between devices?

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Thu, 09 Dec 2010 12:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 09 Dec 2010 12:39:02 GMT) Full text and rfc822 format available.

Message #44 received at 562234@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: Goswin von Brederlow <goswin-v-b@web.de>, 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Thu, 9 Dec 2010 12:35:05 +0000
On Thu, Dec 09, 2010 at 08:46:50AM +0100, Goswin von Brederlow wrote:
> In what case does it break? 

That's the wrong question:)

You should ask:  Under what conditions are its hard-coded assumptions
about LVM metadata true?

Alasdair





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#562234; Package lvm2. (Fri, 10 Dec 2010 07:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 10 Dec 2010 07:12:02 GMT) Full text and rfc822 format available.

Message #49 received at 562234@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Alasdair G Kergon <agk@redhat.com>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 562234@bugs.debian.org
Subject: Re: Bug#562234: Cache file location in violation of FHS
Date: Fri, 10 Dec 2010 08:09:24 +0100
Alasdair G Kergon <agk@redhat.com> writes:

> On Thu, Dec 09, 2010 at 08:46:50AM +0100, Goswin von Brederlow wrote:
>> In what case does it break? 
>
> That's the wrong question:)
>
> You should ask:  Under what conditions are its hard-coded assumptions
> about LVM metadata true?
>
> Alasdair

Way to avoid answering.

From the BTS I gather that grub2 can't handle mirrored LVs. Support for
snapshots suposedly was fixed. No report about pvmove. Anything else
with LVM in the topic is about install failures and pretty vague.


So if you know of a way other than mirrored LVs to make grub2 fail then
please do report a bug. It works here[tm], which makes it hard to debug
and fix suposed problems.

MfG
        Goswin




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Thu, 20 Oct 2011 21:07:20 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Thu, 20 Oct 2011 21:07:42 GMT) Full text and rfc822 format available.

Message #54 received at 562234-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 562234-close@bugs.debian.org
Subject: Bug#562234: fixed in lvm2 2.02.88-1
Date: Thu, 20 Oct 2011 21:05:09 +0000
Source: lvm2
Source-Version: 2.02.88-1

We believe that the bug you reported is fixed in the latest version of
lvm2, which is due to be installed in the Debian FTP archive:

clvm_2.02.88-1_amd64.deb
  to main/l/lvm2/clvm_2.02.88-1_amd64.deb
dmsetup-udeb_1.02.67-1_amd64.udeb
  to main/l/lvm2/dmsetup-udeb_1.02.67-1_amd64.udeb
dmsetup_1.02.67-1_amd64.deb
  to main/l/lvm2/dmsetup_1.02.67-1_amd64.deb
libdevmapper-dev_1.02.67-1_amd64.deb
  to main/l/lvm2/libdevmapper-dev_1.02.67-1_amd64.deb
libdevmapper1.02.1-udeb_1.02.67-1_amd64.udeb
  to main/l/lvm2/libdevmapper1.02.1-udeb_1.02.67-1_amd64.udeb
libdevmapper1.02.1_1.02.67-1_amd64.deb
  to main/l/lvm2/libdevmapper1.02.1_1.02.67-1_amd64.deb
liblvm2-dev_2.02.88-1_amd64.deb
  to main/l/lvm2/liblvm2-dev_2.02.88-1_amd64.deb
liblvm2app2.2_2.02.88-1_amd64.deb
  to main/l/lvm2/liblvm2app2.2_2.02.88-1_amd64.deb
liblvm2cmd2.02_2.02.88-1_amd64.deb
  to main/l/lvm2/liblvm2cmd2.02_2.02.88-1_amd64.deb
lvm2-udeb_2.02.88-1_amd64.udeb
  to main/l/lvm2/lvm2-udeb_2.02.88-1_amd64.udeb
lvm2_2.02.88-1.debian.tar.gz
  to main/l/lvm2/lvm2_2.02.88-1.debian.tar.gz
lvm2_2.02.88-1.dsc
  to main/l/lvm2/lvm2_2.02.88-1.dsc
lvm2_2.02.88-1_amd64.deb
  to main/l/lvm2/lvm2_2.02.88-1_amd64.deb
lvm2_2.02.88.orig.tar.gz
  to main/l/lvm2/lvm2_2.02.88.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated lvm2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Oct 2011 21:37:06 +0200
Source: lvm2
Binary: lvm2 lvm2-udeb clvm libdevmapper-dev libdevmapper1.02.1 libdevmapper1.02.1-udeb dmsetup dmsetup-udeb liblvm2app2.2 liblvm2cmd2.02 liblvm2-dev
Architecture: source amd64
Version: 2.02.88-1
Distribution: unstable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 clvm       - Cluster LVM Daemon for lvm2
 dmsetup    - Linux Kernel Device Mapper userspace library
 dmsetup-udeb - Linux Kernel Device Mapper userspace library (udeb)
 libdevmapper-dev - Linux Kernel Device Mapper header files
 libdevmapper1.02.1 - Linux Kernel Device Mapper userspace library
 libdevmapper1.02.1-udeb - Linux Kernel Device Mapper userspace library (udeb)
 liblvm2-dev - LVM2 libraries - development files
 liblvm2app2.2 - LVM2 application library
 liblvm2cmd2.02 - LVM2 command library
 lvm2       - Linux Logical Volume Manager
 lvm2-udeb  - Linux Logical Volume Manager (udeb)
Closes: 263148 562234 643822
Changes: 
 lvm2 (2.02.88-1) unstable; urgency=low
 .
   * New upstream version.
   * Remove lvm-common conflicts and replaces.
   * Remove grub-common breakage.
   * Remove own quilt usage.
   * Move cache file to /run/lvm. (closes: #562234)
     - Remove old cache dir.
   * Move lock files to /run/lock/lvm. (closes: #263148)
   * Support status action in lvm2 init script. (closes: #643822)
   * Remove Squeeze upgrade checks.
Checksums-Sha1: 
 ebedad2d125df7c97a9a7bed58320b21669ef0bc 1862 lvm2_2.02.88-1.dsc
 e2c91da3909c26b05cafd1981e10687b6d4db309 1036429 lvm2_2.02.88.orig.tar.gz
 a5cc79ecfc9a070dd5763fa79dd30d797fd4fb84 31918 lvm2_2.02.88-1.debian.tar.gz
 f0fce3c480a2a08488993e0eedac5305020b6d8d 100988 libdevmapper1.02.1_1.02.67-1_amd64.deb
 ecc82c61ea8faae54cb932cb5f67b9fa66f13a63 63714 libdevmapper1.02.1-udeb_1.02.67-1_amd64.udeb
 fe45d683180a333c1db769ddc9fd769d2659dcd2 37398 libdevmapper-dev_1.02.67-1_amd64.deb
 c1ec1017afadb4133cdfed321faba469214277ad 59746 dmsetup_1.02.67-1_amd64.deb
 182360962ed31da03ad870cad231bd552116617b 22668 dmsetup-udeb_1.02.67-1_amd64.udeb
 bf1ff9e9ab94f12a4e5e9f6b8fdfa649023fae37 304264 liblvm2app2.2_2.02.88-1_amd64.deb
 c15a21a8c5f0daf99a03a53ede33c08d127c8171 392412 liblvm2cmd2.02_2.02.88-1_amd64.deb
 f60266c5b4192e219b3a896b82078fb7aaf149a8 66534 liblvm2-dev_2.02.88-1_amd64.deb
 207c4ea8dae0eec2b827f6aabffb6e6444ee0538 522492 lvm2_2.02.88-1_amd64.deb
 833b0b5662c86e6de535a038409bd5de4d924f2e 323048 lvm2-udeb_2.02.88-1_amd64.udeb
 87e2d1bfb30f449cde44f1e283c768107914c7cf 320820 clvm_2.02.88-1_amd64.deb
Checksums-Sha256: 
 7d389cd1e78bfc731f05493de05361b25871db571d9e3c35fc880e36d9be064e 1862 lvm2_2.02.88-1.dsc
 ea8e53a3ac54c1425eadd32791c0d6e4bf046190519cc68d69503b018a3a28fb 1036429 lvm2_2.02.88.orig.tar.gz
 edcccebac771cf422e41fc8bbd2c0a5731759740b16cf7d99f63e3d958a1edf9 31918 lvm2_2.02.88-1.debian.tar.gz
 5cdcb9ce95ce93a4e56c767449676ea3e4c3f7748cb95d0b8625cabe4deb703b 100988 libdevmapper1.02.1_1.02.67-1_amd64.deb
 55a9692269e471dce0b75aefa88b7f9aeab245e8c09c648f02b564a94160709d 63714 libdevmapper1.02.1-udeb_1.02.67-1_amd64.udeb
 3b49d7395d41cefc02bb0a8efe22f7bdad0612482f0d98a1e77588396c0f662c 37398 libdevmapper-dev_1.02.67-1_amd64.deb
 f1a3514c016a6e4de6d5eeb1fef83728f0477871c393fa5404a9ff467105c877 59746 dmsetup_1.02.67-1_amd64.deb
 5256f93cb986b94d780dcb5e5228f506e3578f61a55dd118f0858373d0d0f53b 22668 dmsetup-udeb_1.02.67-1_amd64.udeb
 7150adf1996636db1bed152e52e8d44a4c77ba073a6a3de8716e25763c6d60c2 304264 liblvm2app2.2_2.02.88-1_amd64.deb
 49eb01582d5b19d1065320eb6214f78820812cdf8ba2868ae161f3531cfddcb8 392412 liblvm2cmd2.02_2.02.88-1_amd64.deb
 d7c1905891282b4958acc108d11dba4e50ae5d15c3476118d63c16d3c64b0645 66534 liblvm2-dev_2.02.88-1_amd64.deb
 e97df486b127840b012dc9d3f032d7f55af8d2924dd8c2ceee90f0eafc55e849 522492 lvm2_2.02.88-1_amd64.deb
 d377f39e1e0a73c5e43d32b9d29aa0a9ed619fd92d8ea502a41583471d98193a 323048 lvm2-udeb_2.02.88-1_amd64.udeb
 bcc05ed1776bd03b2a0cc167597685aeaae81ecc6297cfdcea4f3710d952199c 320820 clvm_2.02.88-1_amd64.deb
Files: 
 14513af0c956ade76458fb2c8eade8e1 1862 admin optional lvm2_2.02.88-1.dsc
 3c6d35d5a59bdad81bcd43ef52a1b907 1036429 admin optional lvm2_2.02.88.orig.tar.gz
 38184263858aded6ff4afc0162b46c45 31918 admin optional lvm2_2.02.88-1.debian.tar.gz
 e3712259b3c2a40de515474a6c5b2d29 100988 libs required libdevmapper1.02.1_1.02.67-1_amd64.deb
 646d4189ef428ad454cd2c2180fe629b 63714 debian-installer optional libdevmapper1.02.1-udeb_1.02.67-1_amd64.udeb
 14eccdc471e505e3ff4dc716e8abb561 37398 libdevel optional libdevmapper-dev_1.02.67-1_amd64.deb
 2009d9d541d0ab3cb2a5a0fca4e9183d 59746 admin optional dmsetup_1.02.67-1_amd64.deb
 f83b00cf4db75dd100b8cc7a3cfe4e6c 22668 debian-installer optional dmsetup-udeb_1.02.67-1_amd64.udeb
 ef27cf008390b71abba8483bba3dd115 304264 libs optional liblvm2app2.2_2.02.88-1_amd64.deb
 b660d447501a4303f17a4c812332b659 392412 libs optional liblvm2cmd2.02_2.02.88-1_amd64.deb
 c1c9a4dfc00f062440722e2cee3053b8 66534 libdevel optional liblvm2-dev_2.02.88-1_amd64.deb
 96f0326d2dab8f755798b49196d49e87 522492 admin optional lvm2_2.02.88-1_amd64.deb
 e2d096e70b7083ac3c5f5110cc7100e9 323048 debian-installer optional lvm2-udeb_2.02.88-1_amd64.udeb
 2acf6a1e730360452200a8f1493550c9 320820 admin extra clvm_2.02.88-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6gewMACgkQLkAIIn9ODhFXGgCfbuc1Z39i+3WCIdZg9UfHC55C
q9QAoI7uCuD7vugXbSJF0ZH3VtMiQIcE
=Eb3e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:39:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:05:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.